Imports System.Drawing.Drawing2D

Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        ' Define a brush with two points and their colors.
        Using br As New LinearGradientBrush( _
        New Point(10, 10), New Point(110, 60), Color.Red, Color.White)
            e.Graphics.FillRectangle(br, 10, 10, 100, 50)
            e.Graphics.DrawRectangle(Pens.Black, 10, 10, 100, 50)
        End Using

        ' Define a brush with a Rectangle, colors, and gradient mode.
        Dim rect As New Rectangle(120, 10, 100, 50)
        Using br As New LinearGradientBrush( _
        rect, Color.Blue, Color.White, LinearGradientMode.ForwardDiagonal)
            e.Graphics.FillRectangle(br, rect)
            e.Graphics.DrawRectangle(Pens.Black, rect)
        End Using

        ' Define a gradient with more than 2 colors.
        rect = New Rectangle(10, 70, 210, 50)
        Using br As New LinearGradientBrush( _
        rect, Color.Blue, Color.White, 0.0F)
            ' Create a ColorBlend object. Note that you
            ' must initialize it before you save it in the
            ' brush's InterpolationColors property.
            Dim ColorBlend As New ColorBlend()
            ColorBlend.Colors = New Color() _
            { _
                Color.Red, _
                Color.Orange, _
                Color.Yellow, _
                Color.Lime, _
                Color.Blue, _
                Color.Indigo, _
                Color.Violet _
            }
            ColorBlend.Positions = New Single() _
            { _
                0.0F, 1 / 6.0F, 2 / 6.0F, 3 / 6.0F, 4 / 6.0F, 5 / 6.0F, 1.0F _
            }
            br.InterpolationColors = ColorBlend

            e.Graphics.FillRectangle(br, rect)
            e.Graphics.DrawRectangle(Pens.Black, rect)
        End Using
    End Sub
End Class
